Bug 1290670 - High(hi) watermark not being abided to
High(hi) watermark not being abided to
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
nchilaka
tier-migration
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 00:45 EST by nchilaka
Modified: 2017-03-25 10:23 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.7.5-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-25 10:23:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
summarised qe log (27.62 KB, text/plain)
2015-12-11 04:31 EST, nchilaka
no flags Details

  None (edit)
Description nchilaka 2015-12-11 00:45:32 EST
I have set watermarks low to 1%(~200MB) and hi as 5%(~1GB) with my hot tier being about 20GB(1x2 hot tier over (4+2)+2 ec vol)
it is also noted that the total data promoted in 1 cycle was about 3GB, way above my hi watermark level.
Comment 2 nchilaka 2015-12-11 04:31:04 EST
I heated about 10files each of 700MB, but noticed that more than 6 files got promoted, given that only 2 files max should get promoted, as we will be hitting higher watermark

Attached are logs
Comment 3 nchilaka 2015-12-11 04:31 EST
Created attachment 1104596 [details]
summarised qe log
Comment 5 nchilaka 2015-12-14 07:06:07 EST
Kindly let me know what we mean by real use case here?Do we have them predefined. Or are we saying that like Quotas we do are going to give a scope of error delta? Till date we haven't talked defined the margin of error here. So I would assume that it should work in all cases. In this case my watermark was exceeded by 200%
Comment 7 Dan Lambright 2015-12-14 09:15:38 EST
Can you reproduce this with the default values (75 and 90)?
Comment 8 Rejy M Cyriac 2015-12-15 09:09:16 EST
Need information on question raised at Comment 7
Comment 12 nchilaka 2016-01-04 07:13:40 EST
it does breach even with default values
Comment 15 nchilaka 2016-03-01 08:22:16 EST
karthick can you kindly check on latest build
Comment 16 krishnaram Karthick 2016-03-07 11:20:34 EST
This issue is no more seen with the GA build of RHGS 3.1.2. Following test was done to validate.

1) create a dist-rep volume
2) enable quota and set limit to / directory as 10GB
3) attached tier
4) set high watermark to 50% (i.e., 5GB) and low watermark to 20% (i.e., 20GB)
4) mounted the volume from client and used dd to create ten 1GB files
5) Files were written on hot tier

Once high watermark levels had crossed, file got demoted from hot tier to cold tier.

The watermark behavior is consistent with build - glusterfs-3.7.5-19.el7rhgs.x86_64

Note You need to log in before you can comment on or make changes to this bug.